---
title: 'set:has-same-node()'
slug: Web/EXSLT/set/has-same-node
tags:
  - EXSLT
  - NeedsSpecTable
  - Reference
---
<p>{{XSLTRef}}{{QuickLinksWithSubpages("/en-US/docs/Web/EXSLT")}}</p>

<p><code>set:<span style="white-space: nowrap;">has-same-node</span>()</code> determines whether two node<span style="white-space: nowrap;">-</span>sets have any nodes in common.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">set:has-same-node(<var>nodeSet1</var>, <var>nodeSet2</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>nodeSet1</code></dt>
 <dd>The first node set to check.</dd>
 <dt><code>nodeSet2</code></dt>
 <dd>The second node set to check.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p><code>true</code> if the two node-sets have any nodes in common; otherwise <code>false</code>.</p>

<h2 id="Specifications">Specifications</h2>

<p><a class="external" href="http://www.exslt.org/set/functions/has-same-node/index.html">EXSLT - SET:HAS-SAME-NODE</a></p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("xslt.exslt.set.has-same-node")}}</p>
